Name:       transmission-remote-cli
Version:    1.4.7
Release:    2%{?dist}
Summary:    A console interface for the Transmission BitTorrent client

Group:      Applications/Internet
License:    GPLv3+
URL:        https://github.com/fagga/transmission-remote-cli
# The source was pulled from the upstream git. The following is the direct
# link to the required version.
# https://raw.github.com/fagga/transmission-remote-cli/477a41949590d58a74be470927e82fcef1b36ece/transmission-remote-cli.py
Source0:    %{name}-%{version}.tar.gz
Source1:    %{name}.1

#VCS: git://github.com/fagga/transmission-remote-cli.git
BuildArch:  noarch
Requires:   python-simplejson python-GeoIP python-adns python-IPy python-libs
Requires:   transmission-daemon >= 1.90

%description
Simple command line interface using ncurses for the Transmission BitTorrent
client. It is an alternative to Transmission cli and can be used to control
local and remote instances of the Transmission daemon.

%prep
%setup -q

%build
#empty build

%install
# Script
install -Dpm 755 %{name}.py %{buildroot}%{_bindir}/%{name}
# Documentation
install -Dpm 644 README.md %{buildroot}%{_docdir}/%{name}-%{version}/README.md
# Man page
mkdir -p %{buildroot}%{_mandir}/man1/
gzip %{name}.1
install -Dpm 644 %{name}.1.gz %{buildroot}%{_mandir}/man1/%{name}.1.gz
# Bash tab completion
mkdir -p %{buildroot}%{_sysconfdir}/bash_completion.d/
install -Dpm 644 transmission-remote-cli-bash-completion.sh %{buildroot}%{_sysconfdir}/bash_completion.d/transmission-remote-cli-bash-completion.sh

%files
%defattr(-,root,root,-)
%doc COPYING README.md NEWS
%{_bindir}/transmission-remote-cli
%{_mandir}/man1/%{name}.1.gz
%{_sysconfdir}/bash_completion.d/transmission-remote-cli-bash-completion.sh

%changelog
* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jan 12 2013 Ben Thompson <d0g@fedoraproject.org> 1.4.7-1
- Latest upstream release. Removed screenshots from doc.

* Sat Oct 06 2012 Ben Thompson <d0g@fedoraproject.org> 1.4.2-1
- Latest upstream release, includes bash tab completion.

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun May 06 2012 Ben Thompson <d0g@fedoraproject.org> 1.2.2-2
- Added NEWS file to doc.

* Sun May 06 2012 Ben Thompson <d0g@fedoraproject.org> 1.2.2-1
- Latest upstream, branch master.

* Sat Feb 25 2012 Ben Thompson <d0g@fedoraproject.org> 1.0-1
- New upstream release, branch "2.40"

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Dec 22 2011 Ben Thompson <d0g@fedoraproject.org> 0.10.4-1
- Using upstream branch "2.40"

* Thu Dec 22 2011 Ben Thompson <d0g@fedoraproject.org> 0.9.4-2
- Added dist tag

* Mon Oct 24 2011 Ben Thompson <d0g@fedoraproject.org> 0.9.4-1
- New upstream release
- Older versions of transmission-daemon are supported again (1.90)
- python-libs dependancy added
- Added man page

* Mon Jun 20 2011 Satya Komaragiri <satyak@fedoraproject.org> 0.9.1-1
- New upstream release
- Modified transmission-daemon's minimum required version to 2.30
- Added python-IPy as a new dependency
- Changed the sources to a tarball.

* Sat Mar 05 2011 Rahul Sundaram <sundaram@fedoraproject.org> -0.8.2-1
- New upstream release

* Tue Feb 22 2011 Satya Komaragiri <satyak@fedoraproject.org> 0.8-1
- New upstream release

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jun 23 2010 Satya Komaragiri <satyak@fedoraproject.org> 0.6.5-2
- Uploaded README.md to fix a failed build in koji

* Wed Jun 23 2010 Satya Komaragiri <satyak@fedoraproject.org> 0.6.5-1
- New upstream release

* Sat Apr 24 2010 Rahul Sunaram <sundaram@fedoraproject.org> 0.5.6-1
- New upstream release
- Fix requires

* Wed Apr 07 2010 Satya Komaragiri <satyak@fedoraproject.org> 0.5.5-4
- Updated the release scheme
- Changed the URL to SOURCE0 to point to the specific version rather than master
- Added the VCS tag
- Specified version range for transmission-daemon dependency

* Wed Mar 10 2010 Satya Komaragiri <satyak@fedoraproject.org> 0.5.5-0.3.20100310git
- Updated the source to the latest upstream version
- Changed the release scheme to follow the pre-release snapshot guidelines
- Corrected the installation of REAME.md

* Wed Mar 03 2010 Satya Komaragiri <satyak@fedoraproject.org> 0.5.5-2.20100303git
- Update for review

* Wed Mar 03 2010 Satya Komaragiri <satyak@fedoraproject.org> 0.5.5-1.20100303git
- Initial version
